### Method

# WebKitWebExtension DOMDocument create_ns_resolver

deprecated: 2.22

#### Declaration [src]

    WebKitDOMXPathNSResolver*
    webkit_dom_document_create_ns_resolver (
      WebKitDOMDocument* self,
      WebKitDOMNode* nodeResolver
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`nodeResolver`

  Type: `WebKitDOMNode`

  A `WebKitDOMNode`.

  The data is owned by the caller of the function.

#### Return value

Type: `WebKitDOMXPathNSResolver`

A `WebKitDOMXPathNSResolver`.

The caller of the method takes ownership of the data, and is responsible for freeing it.